コンテンツにスキップ
IRBANK API はベータ提供中です。仕様は予告なく変更される場合があります。
IRBANK API ドキュメント
Esc
navigateopen⌘Jpreview

人物の役員就任履歴

企業(証券コード・名称)ごとの役員就任履歴と役職の変遷(就任日・退任日)を返す。該当データが 0 件のときは空配列とともに reason (code=no_results + 状況の説明) を返す。

GET/persons/{id}/appointments
Authorization
AuthorizationBearer token · headerrequired
IRBANK Connect (app.irbank.net/mcp-api) で発行した API キー
Path parameters
idstringrequired
人物 ID(数値文字列)
matches ^\d+$
Responses
200OK
person_idstringrequired
人物 ID
namestringrequired
氏名
appointmentsPersonAppointment[]required
企業別の役員就任履歴(現任優先・在任年数降順)
Show properties
Array of PersonAppointment
security_codestringrequired
証券コード (4 桁)
security_namestringrequired
企業名
latest_rolestring | nullrequired
直近の役割
latest_positionstring | nullrequired
直近の役職名
is_outsidebooleanrequired
社外役員かどうか
is_currentbooleanrequired
現任かどうか
first_valid_fromstringrequired
初回就任日 (YYYY-MM-DD)
last_valid_tostring | nullrequired
最終退任日 (YYYY-MM-DD)。現任の場合 null
tenure_yearsintegerrequired
在任年数
min 0
position_historyPersonPositionHistoryEntry[]required
役職の変遷(古い順)
Show properties
Array of PersonPositionHistoryEntry
rolestring | nullrequired
役割(取締役 等)
positionstring | nullrequired
役職名
valid_fromstringrequired
就任日 (YYYY-MM-DD)
valid_tostring | nullrequired
退任日 (YYYY-MM-DD)。現任の場合 null
is_activebooleanrequired
現任かどうか
reasonEmptyReason | anyrequired
本体データが空のとき、その理由 (機械可読な code + 説明・対処ヒント)。本体データが 1 件以上のときは null
Show properties
One of:
EmptyReason
codestringrequired
no_results: このリクエストに該当するデータが 0 件。収録が無い場合と、指定した条件に合致しない場合の両方を含む (両者は現状の実装では区別できないため、機械可読な値としては区別しない)。TDnet 由来の値は開示から 24 時間は収録に反映されないため、直近開示分は後から追加され得る
Allowed:no_results
messagestringrequired
0 件になった状況の説明 (英語)。人間向けの補足であり、分岐は code で行うこと (文面は予告なく改善されうる)
any
any
attributionAttributionrequired
Show properties
source_labelstringrequired
出典表示ラベル(第三者に表示する際はこの表記を使う)
license_notestringrequired
出典・再配信条件の注記
processed_bystringrequired
400パラメータが不正
errorobjectrequired
Show properties
codestringrequired
messagestringrequired
detailsExternalErrorDetail[]
Show properties
Array of ExternalErrorDetail
paramstringrequired
reasonstringrequired
Allowed:missingconflictinvalid_typeinvalid_formatout_of_rangeunknown_valuetoo_many_itemsinvalid
expectedstring
受理される値の要約(範囲・型・列挙値)。示せない場合は省略する
404人物が存在しない
errorobjectrequired
Show properties
codestringrequired
messagestringrequired
detailsExternalErrorDetail[]
Show properties
Array of ExternalErrorDetail
paramstringrequired
reasonstringrequired
Allowed:missingconflictinvalid_typeinvalid_formatout_of_rangeunknown_valuetoo_many_itemsinvalid
expectedstring
受理される値の要約(範囲・型・列挙値)。示せない場合は省略する
Request
curl -X GET "https://api.irbank.net/v1/persons/4837261950/appointments" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "person_id": "string",
  "name": "string",
  "appointments": [
    {
      "security_code": "7203",
      "security_name": "トヨタ自動車",
      "latest_role": "string",
      "latest_position": "string",
      "is_outside": true,
      "is_current": true,
      "first_valid_from": "2005-06-29",
      "last_valid_to": "string",
      "tenure_years": 0,
      "position_history": [
        {
          "role": "string",
          "position": "string",
          "valid_from": "2010-06-29",
          "valid_to": "2015-06-25",
          "is_active": true
        }
      ]
    }
  ],
  "reason": {
    "code": "no_results",
    "message": "No segment disclosure is currently recorded for this organization."
  },
  "attribution": {
    "source_label": "金融庁 EDINET / TDnet",
    "license_note": "string",
    "processed_by": "IRBANK"
  }
}